### Enumeration

# Gimp ImageType

unstable since: 3.0

#### Declaration

    enum Gimp.ImageType

#### Description [src]

Possible drawable types.

Available since: 3.0

#### Members

`GIMP_RGB_IMAGE`

  RGB.

  - Value: `0`
  - Nickname: `rgb-image`
  - Available since: 3.0
`GIMP_RGBA_IMAGE`

  RGB-alpha.

  - Value: `1`
  - Nickname: `rgba-image`
  - Available since: 3.0
`GIMP_GRAY_IMAGE`

  Grayscale.

  - Value: `2`
  - Nickname: `gray-image`
  - Available since: 3.0
`GIMP_GRAYA_IMAGE`

  Grayscale-alpha.

  - Value: `3`
  - Nickname: `graya-image`
  - Available since: 3.0
`GIMP_INDEXED_IMAGE`

  Indexed.

  - Value: `4`
  - Nickname: `indexed-image`
  - Available since: 3.0
`GIMP_INDEXEDA_IMAGE`

  Indexed-alpha.

  - Value: `5`
  - Nickname: `indexeda-image`
  - Available since: 3.0